package cn.axzo.msg.center.inside.notices.service;

import cn.axzo.msg.center.domain.dto.SearchTemplateDTO;
import cn.axzo.msg.center.domain.dto.SyncTemplateDataDTO;
import cn.axzo.msg.center.domain.entity.MessageTemplate;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 消息模板(MessageTemplate)表服务接口
 *
 * @author zhangran
 * @since 2022-03-28 14:59:16
 */
public interface MessageTemplateService {


  List<MessageTemplate> getAllTemplates();

  Boolean hasTemplateGtUpdateAt(LocalDateTime updateAt);

  void saveOrUpdateTemplate(MessageTemplate template);

  MessageTemplate getTemplateById(Long templateId);

  List<MessageTemplate> getTemplateByIds(List<Long> templateIds);

  void removeById(MessageTemplate mt);

  void insertNativeSql(SyncTemplateDataDTO template);

    List<MessageTemplate> getListByTitleAndContent(SearchTemplateDTO dto);
}
